let configuration = {
  secure: false,
  fqdn: 'localhost',
  port: 3000,
  uri_api: '/api/v1/',
  url_base: ''
}

let url_base = configuration.uri_api;

if (configuration.fqdn) {
  let schema = (configuration.secure) ? 'https' : 'http'
  let port = (configuration.port) ? `:${configuration.port}` : ''
  url_base = `${schema}://${configuration.fqdn}${port}${configuration.uri_api}`
}

configuration.url_base = url_base;

import axios from './boot/axios'
axios.defaults.baseURL = url_base
axios.defaults.headers.common['TEST'] = 'me'

export default configuration;